Subject: [Sigtran] M3UA and SUA recommendations

From: Siu Chai Tho <[email-masked]>
Date: Thu, 19 Jan 2006 06:58:24 +1300 (NZDT)

Hello SIGTRAN community !
   
  I have been reading the responses to questions posted on threads
"Upper boundary of Adaptation Layers" http://www1.ietf.org/mail-archive/web/sigtran/current/msg05691.html
and "Some very fundamental SIGTRAN question" http://www1.ietf.org/mail-archive/web/sigtran/current/msg05771.html
and I wonder if my understanding of SIGTRAN standards is still right:
   
  1) SUA and M3UA define signalling transport of SCCP-/MTP-user traffic over an IP network
   
  2) The terminology "… User Adaptation Layer" (name of the RFCs) seems to define a layer, even though layer boundaries are not mandated to be followed by implementations. I also see that chapter 1.6 describes boundaries of this layer (are these just informative chapters ?). Even though an implementation is free to not use layers, the M3UA/SUA protocol functions are defined by use of a SUA/M3UA layer encapsulating protocol functions such as signalling processes, state machines and other stuff.
   
  3) I understand the concept of signalling processes ASP/IPSP and SGP as entities that are seen as communication endpoints of SUA/M3UA protocol. Is it correct to assume that these concepts only apply within the boundaries described in chapter 1.6 or are these concepts defined across those boundaries i.e. does the N-UNITDATA include ASP/IPSP identification ??
E.g. can any SCCP-user run over SUA without knowing about signalling processes (how many, what type, etc.) as long as the upper boundary defined in chapter 1.6.1 is preserved ?
   
  4) Is it possible to map (inside  SUA layer) traffic from a single SCCP-user (or MTP-user) instance (SCCP-SAP/MTP-SAP) into several SUA/M3UA communication flows managed by several (local) ASPs as well as mapping traffic from multiple SCCP-user (or MTP-user) instances into a single (local) ASP ? 
   
  5) Is it possible that multiple signalling processes share the same SCTP endpoint (but different SCTP associations) for sending/receiveing messages ?
    Example : Can I run ASP process (talking to a SGP) and an IPSP (talking to another IPSP) over the same SCTP endpoint ?
   
  6) Is the recommendation of a layered implementation seen as a benefit or best current practice ?
  
Thank you
  Joe

Send instant messages to your online friends http://au.messenger.yahoo.com 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Stanislav Ivanovich <[email-masked]>
Date: Wed, 18 Jan 2006 10:36:00 -0800 (PST)

Siu Chai,
   
  Please look bellow for the answers from my point of view.
   
  / Stanisalv Ivanovich

Siu Chai Tho <[email-masked]> wrote:
    Hello SIGTRAN community !

  1) SUA and M3UA define signalling transport of SCCP-/MTP-user traffic over an IP network
  [Stanislav Ivanovich] The specifications do much more than that. They essentialy define a concept of application redundacy which is controlled by ASP SM/TM messages.

  [Stanislav Ivanovich] What specifications do tell you is how should signalling processes behave on the external protocol and what is the functionality the prcesses should contain. Internal structure of signalling processes is irrelevant for specifications.

  [Stanislav Ivanovich] No! ASP and IPSP are processes which contain user functions what is not the case for SGP. For example SGP-ASP protocol is designed to model communication between MTP3 and MTP3-user function for M3UA or SCCP and SCCP-user function for SUA. So ASP is container into which you load your user function. The essentce of the AS concepts (which make 80% of specifications for both M3UA and SUA) is that it supports application redundancy by means of ASP SM/TM messages.
   
  Thus you have an ASP into which you load a traffic control application and which is represented to SGP as AS ="ISUP for 2-100". Then if you want application redundacy you clone your application so you load it in another process (ASP2) and which connects to SGP for the same AS="ISUP for 2-100". So by means of AS related messages/concepts you control your application reliability by supporting application redundancy.

E.g. can any SCCP-user run over SUA without knowing about signalling processes (how many, what type, etc.) as long as the upper boundary defined in chapter 1.6.1 is preserved ?
  [Stanislav Ivanovich] Yes, but as I said it is irrelevant for specifications. They only mandate how your user function (ASP) is to behave externally. Nothing else, nothing more.

   
  [Stanislav Ivanovich] Application granularity (ie. AS representation in SS7 language) is implementation choice thus not subject to specifications. But the specifications allow you to define your applications very flexibly (e.g. ISUP + BICC for DPC=2-100 shall be 1 AS).

  5) Is it possible that multiple signalling processes share the same SCTP endpoint (but different SCTP associations) for sending/receiveing messages ?
    Example : Can I run ASP process (talking to a SGP) and an IPSP (talking to another IPSP) over the same SCTP endpoint ?
  [Stanislav Ivanovich] Yes.

  [Stanislav Ivanovich] Again. This is implementation. You cannot answer thuis queston by looking into xxUA specifications but instead by looking into your current SS7 implementation product descriptions, sequence diagrams etc...
  
Thank you
  Joe
  Send instant messages to your online friends http://au.messenger.yahoo.com _______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---------------------------------
Yahoo! Photos – Showcase holiday pictures in hardcover
 Photo Books. You design it and we’ll bind it!

---

From: Siu Chai Tho <[email-masked]>
Date: Fri, 20 Jan 2006 00:03:11 +1300 (NZDT)

Hello Stainislav,

Stanislav Ivanovich <[email-masked]> wrote:
      [Stanislav Ivanovich] The specifications do much more than that. They essentialy define a concept of application redundacy which is controlled by ASP SM/TM messages.
   
  [Siu Chai Tho] I not understand this. Isn't it just signalling transport redundancy that is managed and it is an option for applications to use it for application redundancy or not ? RFC 2719 does not mention anything on SIG-user redundancy.
      [Stanislav Ivanovich] What specifications do tell you is how should signalling processes behave on the external protocol and what is the functionality the prcesses should contain. Internal structure of signalling processes is irrelevant for specifications.
   
  [Siu Chai Tho]I feel that you have misunderstood my question. I was trying to reassure that there are boundaries of a layer defined as mentioned in chapter 1.6 of RFC 3868 and also in chapter 3.1 RFC 2719. I understand that implementations can do whatever they like and are not forced to use layers. However, what is the purpose of using the word layer when there is no layer intended ?
      [Stanislav Ivanovich] No! ASP and IPSP are processes which contain user functions what is not the case for SGP. For example SGP-ASP protocol is designed to model communication between MTP3 and MTP3-user function for M3UA or SCCP and SCCP-user function for SUA. So ASP is container into which you load your user function. The essentce of the AS concepts (which make 80% of specifications for both M3UA and SUA) is that it supports application redundancy by means of ASP SM/TM messages.
   
  [Siu Chai Tho] ASP and IPSP contains user functions but SGP doesn't ? Isn't it just that any signalling process is just a communication endpoint for SUA/M3UA ? The user functions at the ASP or SCCP/MTP functions at the SGP reside in their own components or am I mistaken here ?
      [Stanislav Ivanovich] Application granularity (ie. AS representation in SS7 language) is implementation choice thus not subject to specifications. But the specifications allow you to define your applications very flexibly (e.g. ISUP + BICC for DPC=2-100 shall be 1 AS).
   
  [Siu Chai Tho] I was trying to ask if it is possible to map one MTP/SCCP-SAP (or AS) into multiple ASPs (inside the same node). If this is an implementation option as you indicate I'm happy with the answer.
      6) Is the recommendation of a layered implementation seen as a benefit or best current practice ?

  [Siu Chai Tho]I have again the feeling that you understood me wrong. I was asking for a reasoning of the layer recommendation inside the RFCs. How do others implement it ?
   
  Thank you,
  Joe

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 19 Jan 2006 04:23:25 -0700

Siu,

Siu Chai Tho wrote:                                                    (Fri, 20 Jan 2006 00:03:11)
>    [Stanislav  Ivanovich] The specifications do much more than that. They
>    essentialy   define  a  concept  of  application  redundacy  which  is
>    controlled by ASP SM/TM messages.
> 
> 
> 
>    [Siu  Chai  Tho]  I  not  understand  this.  Isn't  it just signalling
>    transport  redundancy  that  is  managed  and  it  is  an  option  for
>    applications  to  use  it for application redundancy or not ? RFC 2719
>    does not mention anything on SIG-user redundancy.

You are correct.

> 
>    [Stanislav  Ivanovich]  What  specifications do tell you is how should
>    signalling  processes  behave on the external protocol and what is the
>    functionality  the  prcesses  should  contain.  Internal  structure of
>    signalling processes is irrelevant for specifications.
> 
> 
> 
>    [Siu  Chai  Tho]I  feel that you have misunderstood my question. I was
>    trying  to  reassure  that  there are boundaries of a layer defined as
>    mentioned in chapter 1.6 of RFC 3868 and also in chapter 3.1 RFC 2719.
>    I  understand  that  implementations can do whatever they like and are
>    not  forced  to  use layers. However, what is the purpose of using the
>    word layer when there is no layer intended ?

What would you call it then?  We refer to all of these UA as SS7-User
Adaptation Layers.  You don't like the word 'layer'?  (You will find
it on every page.)

> 
>    [Stanislav  Ivanovich]  No! ASP and IPSP are processes wh! ich contain
>    user  functions  what  is  not  the  case for SGP. For example SGP-ASP
>    protocol is designed to model communication between MTP3 and MTP3-user
>    function  for  M3UA  or SCCP and SCCP-user function for SUA. So ASP is
>    container  into which you load your user function. The essentce of the
>    AS  concepts  (which make 80% of specifications for both M3UA and SUA)
>    is  that  it  supports  application  redundancy  by means of ASP SM/TM
>    messages.
> 
> 
> 
>    [Siu  Chai Tho] ASP and IPSP contains user functions but SGP doesn't ?
>    Isn't  it  just  that  any  signalling process is just a communication
>    endpoint  for  SUA/M3UA  ? The  user  functions at the ASP or SCCP/MTP
>    functions  at  the SGP reside in their own components or am I mistaken
>    here ?

Implementation dependent.  Also see, for example, last paragraph of RFC 3332
Section 1.4.2.4 [Page 13].  An SGP can even host an ASP of its own (and thus
a User Part).

> 
>    [Sta! nislav Ivanovich] Application granularity (ie. AS representation
>    in  SS7  language)  is  implementation  choice  thus  not  subject  to
>    specifications.  But  the  specifications  allow  you  to  define your
>    applications  very flexibly (e.g. ISUP + BICC for DPC=2-100 shall be 1
>    AS).
> 
> 
> 
>    [Siu  Chai  Tho]  I  was trying  to ask  if  it is possible to map one
>    MTP/SCCP-SAP  (or  AS)  into  multiple ASPs (inside the same node). If
>    this  is  an  implementation option as you indicate I'm happy with the
>    answer.

Implementation dependent, however, the protocol supports multiple ASPs on
the same host, even with dynamic port assignment using the ASP Identifier.

--brian

>    [Stanislav Ivanovich] Again. This is implementation. You cannot answer
>    thuis  queston  by  looking  into  xxUA  specifications but instead by
>    looking  into  your  current  SS7 implementation product descriptions,
>    sequence diagrams etc...
> 
> 
> 
>    [Siu Chai Tho]I have again the feeling that you understood me wrong. I
>    was  asking  for  a  reasoning  of the layer recommendation inside the
>    RFCs. How do others implement it ?
> 
> 
> 
>    Thank you,
> 
>    Joe
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Siu Chai Tho <[email-masked]>
Date: Fri, 20 Jan 2006 00:47:33 +1300 (NZDT)

Hello Brian,

   
  [Siu Chai Tho] Sorry if I express myself wrong. I understood Stanislav's answer in a way that a UA would not be layer definition, but only definition of external behaviour. I think of UAs as defined protocol layers (with boundaries as defined in chapter 1.6) and that it's current best practise to implement layers with the defined boundaries. Is this true ?
   
  Thank you,
  Joe

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 19 Jan 2006 04:54:19 -0700

Siu,

Siu Chai Tho wrote:                                                    (Fri, 20 Jan 2006 00:47:33)
>    [Siu  Chai  Tho]  Sorry  if  I  express  myself  wrong.  I  understood
>    Stanislav's  answer  in a way that a UA would not be layer definition,
>    but  only  definition of external behaviour. I think of UAs as defined
>    protocol  layers  (with boundaries as defined in chapter 1.6) and that
>    it's  current  best  practise  to  implement  layers  with the defined
>    boundaries. Is this true ?

Yes.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Stanislav Ivanovich <[email-masked]>
Date: Thu, 19 Jan 2006 06:27:57 -0800 (PST)

Siu Chai,
   
  What is the layer if it does not have upper boundary???
   
  see http://www1.ietf.org/mail-archive/web/sigtran/current/msg05708.html
  --------------------------------------------------------------
  [Brian F. G. Bidulock]
  Actually, the upper boundary at the ASP is a local matter.  There are no
requirements placed on the boundary.  It certainly does not have to
specified to the bit.
--------------------------------------------------------------
   
  Are you telling me that xxUA specifications tell me that it is forbidden to use User Part commands (i.e. application commands for M3UA) for connection to MTP and remote MTP destination (or commands owned by SCCP-user functions for connection of SCCP subsystems and their activation/deactivation to SCCP) as ASP SM/TM commands that trigger ASP SM/TM messages although xxUA specifications say that there is a magic xxUA layer which owns these commands???
   
  This is certainly not true!
  See also other related threads posted recently and comments from other people as well...
   
  / Stanislav Ivanovich
   
  P.S: You will find that some people in one thread claim one thing and in the next thread next day the opposite thing for ther same issue ;-)
  Conclusion is -> you must be carefull when accepting anyone's ideas in this forum!

> 
> Hello Brian,
> 
> "Brian F. G. Bidulock" wrote:
> 

Yes.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Barry Nagelberg" <[email-masked]>
Date: Thu, 19 Jan 2006 09:50:29 -0500

Stanislav,

Regarding the warning in your "P.S." - I have also encountered this problem.

However I would rephrase your warning to:
"You must be <selective> in accepting <some> ideas in this forum."

But this is just like everything else in life - sometimes you get good advice, and sometimes you don't. You have to be
selective in deciding what to accept and what to ignore. Above all, try to keep a positive attitude.

Barry Nagelberg
Adax, Inc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Stanislav Ivanovich
Sent: Thursday, January 19, 2006 9:28 AM
To: SIGTRAN
Subject: Re: [Sigtran] M3UA and SUA recommendations

Siu Chai,

see http://www1.ietf.org/mail-archive/web/sigtran/current/msg05708.html
--------------------------------------------------------------
[Brian F. G. Bidulock]
Actually, the uppper boundary at the ASP is a local matter.  There are no
requirements placed on the boundary.  It certainly does not have to
specified to the bit.
--------------------------------------------------------------

Are you telling me that xxUA specifications tell me that it is forbidden to use User Part commands (i.e. application
commands for M3UA) for connection to MTP and remote MTP destination (or commands owned by SCCP-user functions for
connection of SCCP subsystems and their activation/deactivation to SCCP) as ASP SM/TM commands that trigger ASP SM/TM
messages although xxUA specifications say that there is a magic xxUA layer which owns these commands???

/ Stanislav Ivanovich

P.S: You will find that some people in one thread claim one thing and in the next thread next day the opposite thing for
ther same issue ;-)
Conclusion is -> you must be carefull when accepting anyone's ideas in this forum!

Yes.

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

________________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Siu Chai Tho <[email-masked]>
Date: Fri, 20 Jan 2006 03:51:34 +1300 (NZDT)

Hello Stanislav,

   
  It does, read chapter 1.6.1 of the RFC 3868 and RFC 3332. How do you get to the idea that it does not have an upper boundary ?
   
  Thank you,
  Joe

---

From: Stanislav Ivanovich <[email-masked]>
Date: Thu, 19 Jan 2006 07:12:04 -0800 (PST)

Siu Chai,
   
  See my comments below.
   
  / Stanislav

   
   
  [Stanislav Ivanovich] Certainly not! What do you think the AS ("Application Server") concept is about?
  Do you think that Application Server served by several ASP'es is for the sake of transmission redundancy??? Of course not!
  However it is true what you said that it is optinal to use. Where did I say that it was mandatory??? I did not say that!
  No one forces you that you must have several ASP/IPSP'es in one AS. You can have just one application process instance in each AS thus having no application redundancy. However this does not change anything about the point -> AS concept certainly is the concept of application redundancy where several application processes serve the same application (so if one fails the application survives). That is the point. If you do not need this then you do not use it.
  Transmission redundcy is addrssed by lower layer protocols and functions (SCTP, IP, Ethernet...).
  Of course SGP is relay process (not application one) so multiple SGP'es in one SGW is example of transmission related redundancy. Note however that SGP'es are not part of any AS (i.e. SGP'es do not send ASP SM/TM messages).

   
  [Stanislav Ivanovich] I did understand you!
  However see my last mail sent to you with some references and points.

   
  [Stanislav Ivanovich] Why then different process types???
  Read terminology sections of both SUA and M3UA:
  "IP Server Process (IPSP) - A process instance of an IP-based application.
An IPSP is essentially the same as an ASP, except that it uses SUA in a
peer-to-peer fashion."
"Signalling Gateway Process (SGP) - A process instance of a Signalling Gateway.  It serves as an active, load-sharing or broadcast process of a Signalling Gateway."

   
  [Stanislav Ivanovich] SS7 addresses are external representation of an application (Application Server). If your local application (AS) is supported by several application processes (instances) then you use several ASP'es. If not then you use just one ASP.

   
   
  [Stanislav Ivanovich] I did understand you well. Please see my previous answers and refferences.

  Thank you,
  Joe

		
---------------------------------
Yahoo! Photos
 Ring in the New Year with Photo Calendars. Add photos, events, holidays, whatever.

---

From: Stanislav Ivanovich <[email-masked]>
Date: Thu, 19 Jan 2006 07:20:49 -0800 (PST)

Barry,
   
  I agree with you. I really did not mean to offend anyone but I must be honest -> I have received mails from other SIGTRAN community members on my private mail address saying that (according to their opinions) SIGTRAN forum is not always very productive place.
   
  I am really very sorry but I must publicly confirm this! It makes me very frustrated when I hear one standpoint in one thread and the opposite one next day, next thread from the same person. And at the same time RFC'es, IG'es remain the same...
   
  My apology to anyone who might considered himself/herself offended by my previous mail.
   
  with best regards/ Stanislav Ivanovich

Barry Nagelberg <[email-masked]> wrote:
  Stanislav,

However I would rephrase your warning to:
"You must be in accepting ideas in this forum."

Barry Nagelberg
Adax, Inc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Stanislav Ivanovich
Sent: Thursday, January 19, 2006 9:28 AM
To: SIGTRAN
Subject: Re: [Sigtran] M3UA and SUA recommendations

Siu Chai,

/ Stanislav Ivanovich

Yes.

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Stanislav Ivanovich <[email-masked]>
Date: Thu, 19 Jan 2006 07:26:48 -0800 (PST)

Siu Chai,
   
  What I am telling you is that it is informative but not normative refference you are pointing to!
  Reason? -> Beacuse it is inside one'e implementation thus not affecting behavior on the external protocol.
   
  You should not understand all the parts of any RFC paper as normative ones if they do not affect behavior on the external protocol.
   
  For example in my M3UA/SUA implementation I can see both layered and non-layered apporach as long as the ASP behaves accordingly when it communicates with SGP.
   
  / Stanislav

   

  Thank you,
  Joe

			
---------------------------------
Yahoo! Photos
 Got holiday prints? See all the ways to get quality prints in your hands ASAP.

---

From: Siu Chai Tho <[email-masked]>
Date: Fri, 20 Jan 2006 22:46:55 +1300 (NZDT)

Stanislav,

Stanislav Ivanovich <[email-masked]> wrote:
    You should not understand all the parts of any RFC paper as normative ones if they do not affect behavior on the external protocol.
  [Siu Chai Tho] No layer will ever be visible externally, it is essentially an abstract definition concept. This is not unique for SIGTRAN but goes for all protocol layers (such as defined in RFC 1122 or ITU-T SS7 specifications).
  Layering is a architectural design pattern and thus only applicable to implementations. Nevertheless it's an important architectural choice to choose layers.
   
  [...]
"Signalling Gateway Process (SGP) - A process instance of a Signalling Gateway.  It serves as an ac! tive, load-sharing or broadcast process of a Signalling Gateway."

  Don't you need IPSP and ASP to serve the interface to the MTP/SCCPuser and the SGP to serve the interface to MTP/SCCP ? That in itself is a difference. The difference between ASP and IPSP is as you quoted above, an IPSP can talk to other IPSPs serving MTP/SCCP users.
   
  Thank you,
  Joe

---

From: Stanislav Ivanovich <[email-masked]>
Date: Fri, 20 Jan 2006 06:41:14 -0800 (PST)

Siu Chai,
   
  Look below for my comments.
   
  / Stanislav

   
  [...]
   
  [Stanislav Ivanovich] Nonsense!
  Layering or not layering is certainly not visible on the external xxUA protocols since it is implementation matter. For example I have two M3UA ASP implementations:
  1) One applies layered approach where traffic control appplication + supporting user part functions are kept intact while all the AS  concepts are put within a layer called "M3UA ASP" which is managed separately.
  2) In the second non-layered approach I decide to make modifications to 3 SW components of traffic control application + 2 SW components of user part functions because by looking into product manaulas, descriptions, sequence diagrams (i.e. not in xxUA specifications but instead in my implementation documents) I found that it is easier to make these modifications than to introduce a separate "M3UA ASP" layer which shall be separately controlled by its own management (commands)...
   
  However both (!) of my ASP implementations when connected to SGP behave strictly 100% in compliance with ASP-SGP protocol as defined in M3UA specification!
   
  So if I connect one of my M3UA ASP implementations to your M3UA SGP implementation (which might be also 100% compliant with ASP-SGP protocol specification) how can your SGP know which ASP implementation I use?
  Of course it cannot since the difference is externally not visible! Therfore this is not specification (normative) issue but impelemtnation one. If you claim opposite then what is the tool/mechanism used on the external protocol (e.g. message, parameter, parameter value etc...) by which you can tell the difference which ASP implementation I use???

      [Stanislav Ivanovich] Why then different process types??! ?

  [Stanislav Ivanovich] See my comments above (and the previous ones again).
   
  Thank you,
  Joe

---

From: Siu Chai Tho <[email-masked]>
Date: Sat, 21 Jan 2006 04:01:04 +1300 (NZDT)

Hello Stanislav,

  [...]

  [Siu Chai Tho] I think you are questioning the usefulness of protocol layers in specifications. I didn't wanted to broaden the discussion to that level. I was merely trying to understand if the UAs define a layer or not. So far I think I received a positive answer.
   
  Thank you,
  Joe

---

From: Stanislav Ivanovich <[email-masked]>
Date: Fri, 20 Jan 2006 07:40:22 -0800 (PST)

Siu Chai,
   
  No, I am not questioning anything in xxUA specifications but instead pointing to the difference between normative and informative parts of them.
   
  / Stanislav

   
  [...]

  [Siu Chai Tho] I think you are questioning the usefulness of protocol layers in specifications. I didn't wanted to broaden the discussion to that level. I was merely trying to understand if the UAs define a layer or not. So far I t! hink I received a positive answer.
   
  Thank you,
  Joe

---------------------------------
 Yahoo! Autos. Looking for a sweet ride? Get pricing, reviews, & more on new and used cars.

---

From: Stanislav Ivanovich <[email-masked]>
Date: Fri, 20 Jan 2006 11:10:35 -0800 (PST)

Siu Chai,
   
  In addition to the last mail, here is a practical example of my point that xxUA specifications certainly do not specify any box/layer (in terms of how ITU-T does it for MTP or SCCP or TCAP...) but instead xxUA specifications are only protocol specifications:
   
  NOTIFY chapters in xxUA specifications do not define any criteria how/when/if ASP/IPSP'es (application clones) should react to received NOTIFY message reporting insufficient resources.
   
  For example an AS consists of 3 application clones ASP1, ASP2 and ASP3 which are (like in all redundancy models) synchronized by application protocols (which are out of scope of xxUA specifications). If ASP2 is inactive and ASP3 fails while only ASP1 is active and working SGP may report insufficient resources to ASP2.
   
  Who do you think should respond to this NOTIFY? Can that do some "ASP xxUA layer/box" which does not contain application logic? Typically not since application logic is the owner of this decision. Anyway with very good reasons you do not have it specified in xxUA specifications and since the decision is normally in application logic therefore the upper interface itself is not normative but informative...
   
  If like you say xxUA is layer/box which MUST contain all the xxUA concepts and logic then how would that box answer NOTIFY if the criteria for this decision (as is the typically the case) is application owned? And each application can have its own criteria (e.g. if number of mobile subscibers is >xxx and ...then react with activation otherwise ignore...).
   
  As I said -> APS/IPSP'es are application processes and any layering inside them is out-of-scope of xxUA specifications. Any references there are only informative.
   
  What is said here for NOTIFY is similar for other xxUA chapters and messages...
  
/ Stanislav Ivanovich

   
   
  / Stanislav

   
  [...]    

   
  Thank you,
  Joe

---------------------------------
  Yahoo! Autos. Looking for a sweet ride? Get pricing, reviews, & more on new and used cars._______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Siu Chai Tho <[email-masked]>
Date: Tue, 24 Jan 2006 02:42:48 +1300 (NZDT)

Stanislav,

    NOTIFY chapters in xxUA specifications do not define any criteria how/when/if ASP/IPSP'es (application clones) should react to received NOTIFY message reporting insufficient resources.
  [Siu Chai Tho] Please look into RFC 3868, chapter 4.3.4.5 
  "At the ASP, Layer Management is informed with an M-NOTIFY indication primitive."
   
  Thank you,
  Joe

---

From: Stanislav Ivanovich <[email-masked]>
Date: Mon, 23 Jan 2006 07:20:06 -0800 (PST)

Siu Chai,
   
  Then in this case (when applications are in charge of controlling standby state and possible reaction to this as is normally the case) you just have to understand "xxUA layer" <-> LM interface as "upper boundary" because application logic is the one which connects to MTP or SCCP (thus triggers sending of ASP ACTIVE/INAVTIVE etc...) and no problem ;-)
   
  However, if you understand LM as a configuration entitiy of "xxUA layer" not containing any application logic then you need to extend current "upper boudary" in the specifications...
   
  One way or another "upper boundary" depends on how you look at the "LM" thus is the matter of implementation rather than specification since specifications do not tell you that "LM" does or does not contain application logic. One way or another there is nothing conceptaully in between MTP3 (SGP) and User Part (ASP) or SCCP (SGP) and SCCP-user (ASP) -> evertyhing beyond this (e.g. layering) is just the implementation not visible on the external protocols...
   
  / Stanislav Ivanovich

   
  Thank you,
  Joe